# Uses of Interface
java.lang.classfile.attribute.MethodParameterInfo

Packages that use MethodParameterInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of MethodParameterInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return MethodParameterInfo
Modifier and Type
Method
Description
`static MethodParameterInfo`
MethodParameterInfo.`of(Optional<Utf8Entry> name, int flags)`
Returns a method parameter description.
`static MethodParameterInfo`
MethodParameterInfo.`of(Optional<String> name, AccessFlag... flags)`
Returns a method parameter description.
`static MethodParameterInfo`
MethodParameterInfo.`ofParameter(Optional<String> name, int flags)`
Returns a method parameter description.
Methods in java.lang.classfile.attribute that return types with arguments of type MethodParameterInfo
Modifier and Type
Method
Description
`List<MethodParameterInfo>`
MethodParametersAttribute.`parameters()`
Returns information about the parameters of the method.
Methods in java.lang.classfile.attribute with parameters of type MethodParameterInfo
Modifier and Type
Method
Description
`static MethodParametersAttribute`
MethodParametersAttribute.`of(MethodParameterInfo... parameters)`
Returns a `MethodParameters` attribute.
Method parameters in java.lang.classfile.attribute with type arguments of type MethodParameterInfo
Modifier and Type
Method
Description
`static MethodParametersAttribute`
MethodParametersAttribute.`of(List<MethodParameterInfo> parameters)`
Returns a `MethodParameters` attribute.